Package org.apache.felix.http.base.internal.registry

# Class ListenerMap<T extends EventListener>

java.lang.Object
org.apache.felix.http.base.internal.registry.ListenerMap<T>

public class ListenerMap<T extends EventListener> extends Object

## Constructor Summary

Constructors
Constructor
Description
`ListenerMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ListenerHandler handler, int reason)`
`void`
`cleanup()`
`Iterable<ListenerHandler>`
`getActiveHandlers()`
`Iterable<T>`
`getActiveListeners()`
`ListenerHandler`
`getListenerHandler(@NotNull ListenerInfo info)`
`void`
`getRuntimeInfo(List<org.osgi.service.servlet.runtime.dto.ListenerDTO> listenerDTOs, List<org.osgi.service.servlet.runtime.dto.FailedListenerDTO> failedListenerDTOs)`
`ListenerHandler`
`remove(ListenerInfo info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListenerMap

public ListenerMap()

## Method Details

### cleanup

public void cleanup()

### add

public void add(ListenerHandler handler, int reason)

### remove

public ListenerHandler remove(ListenerInfo info)

### getListenerHandler

public ListenerHandler getListenerHandler(@NotNull @NotNull ListenerInfo info)

### getActiveHandlers

public Iterable<ListenerHandler> getActiveHandlers()

### getActiveListeners

public Iterable<T> getActiveListeners()

### getRuntimeInfo

public void getRuntimeInfo(List<org.osgi.service.servlet.runtime.dto.ListenerDTO> listenerDTOs, List<org.osgi.service.servlet.runtime.dto.FailedListenerDTO> failedListenerDTOs)